Subject: Re: FVWM: fvwm 2.1.7 on solaris

From: Dan Espen <[email-masked]>
Date: Tue, 12 Jan 1999 08:40:17 -0500

[email-masked] (Paul D. Smith) writes:
> %% "Arun Kumar" <[email-masked]> writes:
>   ak> The "make install" does not copy sample.fvwmrc and other modules
>   ak> to proper directories.
> 
> Yes, I don't believe the new installation installs any of the system
> config files by default.  Not really sure what the right thing is, here.

I think the right thing is to NOT install the sample.fvwmrc.

Its hard to imagine that a user would be happy running fvwm2 with the
sample.fvwmrc that we supply.  If this file gets installed and used,
it would have to first be modified by the fvwm2 administrator.

Its seems logical that the fvwm2 administrator would not want new
installations of fvwm2 wiping out his changes to this file.

> -- 
>  Paul D. Smith <[email-masked]>

--
Dan Espen
444 Hoes Lane  Room RRC 1C-214           E-mail: [email-masked]
Piscataway, NJ 08854                     Phone: (732) 699-5570
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].

---

From: "Randall S. Winchester" <[email-masked]>
Date: Wed, 13 Jan 1999 11:07:46 -0500 (EST)

On Tue, 12 Jan 1999, Dan Espen wrote:

: [email-masked] (Paul D. Smith) writes:
: > %% "Arun Kumar" <[email-masked]> writes:
: >   ak> The "make install" does not copy sample.fvwmrc and other modules
: >   ak> to proper directories.
: > 
: > Yes, I don't believe the new installation installs any of the system
: > config files by default.  Not really sure what the right thing is, here.
: 
: I think the right thing is to NOT install the sample.fvwmrc.
: 
: Its hard to imagine that a user would be happy running fvwm2 with the
: sample.fvwmrc that we supply.  If this file gets installed and used,
: it would have to first be modified by the fvwm2 administrator.
: 
: Its seems logical that the fvwm2 administrator would not want new
: installations of fvwm2 wiping out his changes to this file.

1) This question pops up every so often. I wonder if it would not be helpful
to add a README in the sample.fvwmrc/ directory explaining this so people do
not have to pull out their backup tapes to restore their working
system.fvwm2rc files.

2) Along the same topic, are samples for the modules. In this case I think
we could do something different then the system.fvwm2rc file.
Because the modules get installed in their own directory, we could install a
default "Module-Menu" and "Module-Defaults" file with every release.

Each module would have to have its' stub "menu" and "defaults" file to be
concatinated at install time to the correct file in the modules directory.
My assumption is that these defaults would not be too fancy or override the
colors or fonts set by the main fvwm2rc settings. They would however provide
a good starting place for people who wanted to experiment with module
options as well as provide working defaults (which we currently do not
have).

Just like the "Window Ops" menu that is used fairly consistantly by fvwm
users, I think a reasonable "Modules" menu would as well. I believe this
would really help the clients to use and understand the various modules, as
well as help to show off the fvwm feature list.

Randall

---

From: Dan Espen <[email-masked]>
Date: Wed, 13 Jan 1999 13:16:37 -0500

> not have to pull out their backup tapes to restore their working

Since we don't install this file, I don't understand the comment about
restoring this file from a backup tape.  Please be more specific about
what you think needs explaining.

---

From: "Randall S. Winchester" <[email-masked]>
Date: Wed, 13 Jan 1999 15:11:12 -0500 (EST)

On Wed, 13 Jan 1999, Dan Espen wrote:

: "Randall S. Winchester" <[email-masked]> writes:
: > On Tue, 12 Jan 1999, Dan Espen wrote:
: > 
: > : [email-masked] (Paul D. Smith) writes:
: > : > %% "Arun Kumar" <[email-masked]> writes:
: > : >   ak> The "make install" does not copy sample.fvwmrc and other modules
: > : >   ak> to proper directories.
: > : > 
: > : > Yes, I don't believe the new installation installs any of the system
: > : > config files by default.  Not really sure what the right thing is, here.
: > : 
: > : I think the right thing is to NOT install the sample.fvwmrc.
: > : 
: > : Its hard to imagine that a user would be happy running fvwm2 with the
: > : sample.fvwmrc that we supply.  If this file gets installed and used,
: > : it would have to first be modified by the fvwm2 administrator.
: > : 
: > : Its seems logical that the fvwm2 administrator would not want new
: > : installations of fvwm2 wiping out his changes to this file.
: > 
: > 1) This question pops up every so often. I wonder if it would not be helpful
: > to add a README in the sample.fvwmrc/ directory explaining this so people do
: > not have to pull out their backup tapes to restore their working
: > system.fvwm2rc files.
: 
: Since we don't install this file, I don't understand the comment about
: restoring this file from a backup tape.  Please be more specific about
: what you think needs explaining.

Yes, but it used to be installed, unless you changed Fvwm.tmpl as follows;
91c96
< #define InstallSample YES
---
> #define InstallSample NO
(i.e. it was not uncommon to trash the sitewide file)

When a person does a first time install, they may want to (and often will)
use one of the examples from the sample.fvwmrc directory to use as a
starting place for their "system.fvwm2rc" file.

OK, I see that the INSTALL.fvwm has much of what I was suggesting already in
it;

: Configuration File
: ==================
: 
: FVWM configures itself at runtime by reading one or more configuration
: files.  The default location for the system-wide configuration (named
: system.fvwm2rc) is /usr/local/etc; this may be changed by changing the
: prefix or setting sysconfdir explicitly.  This system-wide file is
: read only if the user's ~/.fvwm2rc is not found.
: 
: Sample configuration files may be found in the sample.fvwm2rc
: directory.  To avoid clobbering the current configuration, no
: configuration file is installed by default.  You must copy it manually
: the first time FVWM is installed.

Forget the README suggestion, it is already taken care of.

Randall